# std::swap(std::basic_regex)

From cppreference.com
< cpp‎ | regex‎ | basic regex

template< class CharT, class Traits > void swap( basic_regex<CharT,Traits> &lhs, basic_regex<CharT,Traits> &rhs ); |  | (since C++11)

Overloads the std::swap algorithm for std::basic_regex. Exchanges the state of `lhs` with that of `rhs`. Effectively calls lhs.swap(rhs).

### Parameters

lhs, rhs | - | regular expressions to swap

### Return value

(none)

### Exceptions

`noexcept` specification:
noexcept

### Example

| This section is incomplete Reason: no example

### See also

swap | swaps the contents (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/regex/basic_regex/swap2&oldid=91475"
Categories:

- unconditionally noexcept
- Todo no example

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template